onEvent('recipes', event => {
  event.remove({ output: 'minecraft:trapped_chest' })

  event.shaped('minecraft:trapped_chest', [
    '   ',
    ' A ',
    ' B '
  ], {
    A: 'minecraft:chest',
    B: 'minecraft:redstone'
  })
})